<template>
  <transition name="scale-fade">
    <div
      class="newAccount"
      v-if="visible">
      <div class="newAccount_inner">
        <div class="newAccount-header">
          <div
            class="newAccount-close"
            @click="close">
            <i class="i-icon-close"></i>
          </div>
        </div>
        <div class="newAccount-body">
          <div class="pb-25 text-center">
            Your account does not exists in mainnet. Click to the button below for creating account.
          </div>
          <div class="flex flex-center">
            <a
              :href="url"
              target="_blank">
              <BtnSign>Create account</BtnSign>
            </a>
          </div>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
  import BtnSign from '~/components/UI/BtnSign';

  export default {
    name: "NewAccount",
    data() {
      return {
        visible: false
      }
    },
    components: {
      BtnSign
    },
    computed: {
      url() {
        const username = this.$store.state.wallet.accountName;
        const key = localStorage.getItem('public');
        return `https://16bit.game/create/?username=${username}&owner=${key}&active=${key}`;
      }
    },
    methods: {
      show(show = true) {
        this.visible = show;
      },
      close() {
        this.$emit('close');
        this.show(false);
      }
    }
  }
</script>
